<?php

add_action( 'wp_enqueue_scripts', 'socialsql_pagesearch_scripts');

function socialsql_pagesearch_scripts() {
    wp_localize_script('socialsql-pagesearch', 'socialsqlPageSearch', array('ajaxurl' => admin_url('admin-ajax.php')));
    wp_enqueue_script ('socialsql-moment');
    wp_enqueue_script ('socialsql-pagesearch');
    wp_enqueue_style ('wp-jquery-ui-dialog');
    wp_enqueue_style ('socialsql-style');
    wp_enqueue_style ('socialsql-bootstrap-style');
    wp_enqueue_style ('socialsql-font-awesome-style');
}

add_action( 'wp_ajax_nopriv_socialsql_getpagesearch', 'socialsql_getpagesearch' );
add_action( 'wp_ajax_socialsql_getpagesearch', 'socialsql_getpagesearch' );

add_shortcode( 'socialsql_pagesearch', 'pagesearch' );
function pagesearch($atts){
    global $wpdb;
	$table_name = $wpdb->prefix . 'socialsql_sources';
	
    $a = shortcode_atts( array(
        'class' => 'socialsql-style', // 
        'pageid' => '',
        'limit' => '',
        'mypost' => 'true',
    ), $atts );
    $pageid = $a['pageid'];
    $row = $wpdb->get_row( "SELECT * FROM $table_name WHERE page_id = $pageid" );
    // Enable shortcode display only if source was added in admin
    if (!empty($row)) {
        $name = $row->page_name;
                    
        $content = '<span style="display: flex">
                    <input type="text" id="socialsql_search_input" placeholder="Search '.$name.' Facebook Posts">
                    <button type="submit" id="socialsql_search_submit"><i class="fa fa-search"></i></button>
                    <input type="text" id="socialsql_search_pageid" style="display: none" value="'.$a['pageid'].'">
                    <input type="text" id="socialsql_search_limit" style="display: none" value="'.$a['limit'].'">
                    <input type="text" id="socialsql_search_mypost" style="display: none" value="'.$a['mypost'].'">
                    </span>
                    <div class="table-responsive">
                    <table id="socialsql_search_table" class="table">
                    <thead><tr><th>Post</th><th></th><th>Comments</th><th></th><th></th></tr>
				    <tr><th>Message</th><th>Date</th><th>Message</th><th>Date</th><th></th></tr></thead>
                    <tbody></tbody></table></div>
                    <div id="loader"></div>';
        
        return $content;
    }
}

/* submit handler for add-source-modal */
function socialsql_getpagesearch() {
  	$post_url = constant('socialsql_server').'/fbapp/api/user/getsearchresult';
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $post_url);
    curl_setopt($ch, CURLOPT_POST, 1);
    $headers = array(
        "Content-Type: application/json",
    );
    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
    $data = '{"pageid": "'.$_POST['pageid'].'","query":"'.$_POST['query'].'","limit":"'.$_POST['limit'].'","mypost":"'.$_POST['mypost'].'"}';
    curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    $result = curl_exec($ch);
    curl_close($ch); 
    
    echo $result;
    exit;
}

?>