jQuery(function($) {
    var $info = $("#modal-content");
    $info.dialog({                   
        'dialogClass'   : 'radio-dialog',           
        'modal'         : true,
        'autoOpen'      : false, 
        'closeOnEscape' : true,      
        'buttons'       : 
         {
            "Submit": function() {       
                var params = $("#modal-content input[type=radio]:checked").val();
                $(this).dialog('close');
                $('#loader').show();
                    
                $.ajax({
                    type: 'POST',
                    url: socialsqlAdmin.ajaxurl,
                    data: {
                        pageid: params,
                        action: 'socialsql_getpagetoken'
                    },
                    success: function (response) {
                        console.log('successfully retrieved token');
                        if (response == 'exist') {
                          	$('#loader').hide();
                        	alert('Source has already been added');
                        }
                      	else {
                          	var result = JSON.parse(response);
                        	fetchposts(params);
                        }
                    },
                    error: function ( XMLHttpRequest, textStatus, errorThrown ) {
                        alert( errorThrown );
                    }
                }); 
            },
            "Cancel": function() {
                $(this).dialog('close');
            }
        }
    });
    $("#open-modal").click(function(event) {
        event.preventDefault();
        $info.dialog('open');
    });
    
    function fetchposts(params) {
    	$.ajax({
        	type: 'POST',
        	url: socialsqlAdmin.ajaxurl,
        	data: {
            	pageid: params,
            	action: 'socialsql_getpagedata'
        	},
        	success: function (response) {
            	console.log('successfully cached data');
        	},
        	complete: function() {
            	$('#loader').hide();
                window.location.reload();
        	},
        	error: function ( XMLHttpRequest, textStatus, errorThrown ) {
            	alert( errorThrown );
        	}
    	});
    }
});    